App\Library\Amazon\Classes\Home:
    xml_root_name: Home
    properties:
        productType:
            expose: true
            access_type: public_method
            serialized_name: ProductType
            accessor:
                getter: getProductType
                setter: setProductType
            type: App\Library\Amazon\Classes\Home\ProductTypeAType
        parentage:
            expose: true
            access_type: public_method
            serialized_name: Parentage
            accessor:
                getter: getParentage
                setter: setParentage
            type: string
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\Home\VariationDataAType
        batteryDescription:
            expose: true
            access_type: public_method
            serialized_name: BatteryDescription
            accessor:
                getter: getBatteryDescription
                setter: setBatteryDescription
            type: string
        colorMap:
            expose: true
            access_type: public_method
            serialized_name: ColorMap
            accessor:
                getter: getColorMap
                setter: setColorMap
            type: App\Library\Amazon\Classes\ColorMap
        canShipInOriginalContainer:
            expose: true
            access_type: public_method
            serialized_name: CanShipInOriginalContainer
            accessor:
                getter: getCanShipInOriginalContainer
                setter: setCanShipInOriginalContainer
            type: boolean
        countryAsLabeled:
            expose: true
            access_type: public_method
            serialized_name: CountryAsLabeled
            accessor:
                getter: getCountryAsLabeled
                setter: setCountryAsLabeled
            type: string
        countryOfOrigin:
            expose: true
            access_type: public_method
            serialized_name: CountryOfOrigin
            accessor:
                getter: getCountryOfOrigin
                setter: setCountryOfOrigin
            type: string
        countryProducedIn:
            expose: true
            access_type: public_method
            serialized_name: CountryProducedIn
            accessor:
                getter: getCountryProducedIn
                setter: setCountryProducedIn
            type: string
        importDesignation:
            expose: true
            access_type: public_method
            serialized_name: ImportDesignation
            accessor:
                getter: getImportDesignation
                setter: setImportDesignation
            type: string
        furDescription:
            expose: true
            access_type: public_method
            serialized_name: FurDescription
            accessor:
                getter: getFurDescription
                setter: setFurDescription
            type: string
        identityPackageType:
            expose: true
            access_type: public_method
            serialized_name: IdentityPackageType
            accessor:
                getter: getIdentityPackageType
                setter: setIdentityPackageType
            type: string
        includedComponents:
            expose: true
            access_type: public_method
            serialized_name: IncludedComponents
            accessor:
                getter: getIncludedComponents
                setter: setIncludedComponents
            xml_list:
                inline: true
                entry_name: IncludedComponents
            type: array<string>
        fabricType:
            expose: true
            access_type: public_method
            serialized_name: FabricType
            accessor:
                getter: getFabricType
                setter: setFabricType
            xml_list:
                inline: true
                entry_name: FabricType
            type: array<string>
        patternName:
            expose: true
            access_type: public_method
            serialized_name: PatternName
            accessor:
                getter: getPatternName
                setter: setPatternName
            type: string
        seatHeight:
            expose: true
            access_type: public_method
            serialized_name: SeatHeight
            accessor:
                getter: getSeatHeight
                setter: setSeatHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        specialFeatures:
            expose: true
            access_type: public_method
            serialized_name: SpecialFeatures
            accessor:
                getter: getSpecialFeatures
                setter: setSpecialFeatures
            xml_list:
                inline: true
                entry_name: SpecialFeatures
            type: array<string>
        styleName:
            expose: true
            access_type: public_method
            serialized_name: StyleName
            accessor:
                getter: getStyleName
                setter: setStyleName
            type: string
        occasion:
            expose: true
            access_type: public_method
            serialized_name: Occasion
            accessor:
                getter: getOccasion
                setter: setOccasion
            type: string
        matteStyle:
            expose: true
            access_type: public_method
            serialized_name: MatteStyle
            accessor:
                getter: getMatteStyle
                setter: setMatteStyle
            type: string
        displayLength:
            expose: true
            access_type: public_method
            serialized_name: DisplayLength
            accessor:
                getter: getDisplayLength
                setter: setDisplayLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayWidth:
            expose: true
            access_type: public_method
            serialized_name: DisplayWidth
            accessor:
                getter: getDisplayWidth
                setter: setDisplayWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayHeight:
            expose: true
            access_type: public_method
            serialized_name: DisplayHeight
            accessor:
                getter: getDisplayHeight
                setter: setDisplayHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayDepth:
            expose: true
            access_type: public_method
            serialized_name: DisplayDepth
            accessor:
                getter: getDisplayDepth
                setter: setDisplayDepth
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayDiameter:
            expose: true
            access_type: public_method
            serialized_name: DisplayDiameter
            accessor:
                getter: getDisplayDiameter
                setter: setDisplayDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayVolume:
            expose: true
            access_type: public_method
            serialized_name: DisplayVolume
            accessor:
                getter: getDisplayVolume
                setter: setDisplayVolume
            type: App\Library\Amazon\Classes\VolumeDimensionType
        displayWeight:
            expose: true
            access_type: public_method
            serialized_name: DisplayWeight
            accessor:
                getter: getDisplayWeight
                setter: setDisplayWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        itemPackageQuantity:
            expose: true
            access_type: public_method
            serialized_name: ItemPackageQuantity
            accessor:
                getter: getItemPackageQuantity
                setter: setItemPackageQuantity
            type: integer
        manufacturerWarrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: ManufacturerWarrantyDescription
            accessor:
                getter: getManufacturerWarrantyDescription
                setter: setManufacturerWarrantyDescription
            type: string
        volume:
            expose: true
            access_type: public_method
            serialized_name: Volume
            accessor:
                getter: getVolume
                setter: setVolume
            type: App\Library\Amazon\Classes\VolumeIntegerDimensionType
        volumeCapacity:
            expose: true
            access_type: public_method
            serialized_name: VolumeCapacity
            accessor:
                getter: getVolumeCapacity
                setter: setVolumeCapacity
            type: App\Library\Amazon\Classes\VolumeIntegerDimensionType
        material:
            expose: true
            access_type: public_method
            serialized_name: Material
            accessor:
                getter: getMaterial
                setter: setMaterial
            type: string
        threadCount:
            expose: true
            access_type: public_method
            serialized_name: ThreadCount
            accessor:
                getter: getThreadCount
                setter: setThreadCount
            type: integer
        numberOfPieces:
            expose: true
            access_type: public_method
            serialized_name: NumberOfPieces
            accessor:
                getter: getNumberOfPieces
                setter: setNumberOfPieces
            type: integer
        safetyWarning:
            expose: true
            access_type: public_method
            serialized_name: SafetyWarning
            accessor:
                getter: getSafetyWarning
                setter: setSafetyWarning
            type: string
        awardsWon:
            expose: true
            access_type: public_method
            serialized_name: AwardsWon
            accessor:
                getter: getAwardsWon
                setter: setAwardsWon
            xml_list:
                inline: true
                entry_name: AwardsWon
            type: array<string>
        batteryAverageLife:
            expose: true
            access_type: public_method
            serialized_name: BatteryAverageLife
            accessor:
                getter: getBatteryAverageLife
                setter: setBatteryAverageLife
            type: float
        batteryAverageLifeStandby:
            expose: true
            access_type: public_method
            serialized_name: BatteryAverageLifeStandby
            accessor:
                getter: getBatteryAverageLifeStandby
                setter: setBatteryAverageLifeStandby
            type: float
        batteryChargeTime:
            expose: true
            access_type: public_method
            serialized_name: BatteryChargeTime
            accessor:
                getter: getBatteryChargeTime
                setter: setBatteryChargeTime
            type: float
        batteryTypeLithiumIon:
            expose: true
            access_type: public_method
            serialized_name: BatteryTypeLithiumIon
            accessor:
                getter: getBatteryTypeLithiumIon
                setter: setBatteryTypeLithiumIon
            type: integer
        batteryTypeLithiumMetal:
            expose: true
            access_type: public_method
            serialized_name: BatteryTypeLithiumMetal
            accessor:
                getter: getBatteryTypeLithiumMetal
                setter: setBatteryTypeLithiumMetal
            type: integer
        lithiumBatteryEnergyContent:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryEnergyContent
            accessor:
                getter: getLithiumBatteryEnergyContent
                setter: setLithiumBatteryEnergyContent
            type: float
        lithiumBatteryPackaging:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryPackaging
            accessor:
                getter: getLithiumBatteryPackaging
                setter: setLithiumBatteryPackaging
            type: string
        lithiumBatteryVoltage:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryVoltage
            accessor:
                getter: getLithiumBatteryVoltage
                setter: setLithiumBatteryVoltage
            type: float
        lithiumBatteryWeight:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryWeight
            accessor:
                getter: getLithiumBatteryWeight
                setter: setLithiumBatteryWeight
            type: float
        mfgWarrantyDescriptionLabor:
            expose: true
            access_type: public_method
            serialized_name: MfgWarrantyDescriptionLabor
            accessor:
                getter: getMfgWarrantyDescriptionLabor
                setter: setMfgWarrantyDescriptionLabor
            type: string
        mfgWarrantyDescriptionParts:
            expose: true
            access_type: public_method
            serialized_name: MfgWarrantyDescriptionParts
            accessor:
                getter: getMfgWarrantyDescriptionParts
                setter: setMfgWarrantyDescriptionParts
            type: string
        mfgWarrantyDescriptionType:
            expose: true
            access_type: public_method
            serialized_name: MfgWarrantyDescriptionType
            accessor:
                getter: getMfgWarrantyDescriptionType
                setter: setMfgWarrantyDescriptionType
            type: string
        numberOfItemsInPackage:
            expose: true
            access_type: public_method
            serialized_name: NumberOfItemsInPackage
            accessor:
                getter: getNumberOfItemsInPackage
                setter: setNumberOfItemsInPackage
            type: integer
        numberOfLithiumIonCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumIonCells
            accessor:
                getter: getNumberOfLithiumIonCells
                setter: setNumberOfLithiumIonCells
            type: integer
        numberOfLithiumMetalCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumMetalCells
            accessor:
                getter: getNumberOfLithiumMetalCells
                setter: setNumberOfLithiumMetalCells
            type: integer
        powerSourceType:
            expose: true
            access_type: public_method
            serialized_name: PowerSourceType
            accessor:
                getter: getPowerSourceType
                setter: setPowerSourceType
            type: string
        regionOfOrigin:
            expose: true
            access_type: public_method
            serialized_name: RegionOfOrigin
            accessor:
                getter: getRegionOfOrigin
                setter: setRegionOfOrigin
            type: string
        sellerWarrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: SellerWarrantyDescription
            accessor:
                getter: getSellerWarrantyDescription
                setter: setSellerWarrantyDescription
            type: string
        sizeMap:
            expose: true
            access_type: public_method
            serialized_name: SizeMap
            accessor:
                getter: getSizeMap
                setter: setSizeMap
            type: string
        warnings:
            expose: true
            access_type: public_method
            serialized_name: Warnings
            accessor:
                getter: getWarnings
                setter: setWarnings
            type: string
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: integer
        length:
            expose: true
            access_type: public_method
            serialized_name: Length
            accessor:
                getter: getLength
                setter: setLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        width:
            expose: true
            access_type: public_method
            serialized_name: Width
            accessor:
                getter: getWidth
                setter: setWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        height:
            expose: true
            access_type: public_method
            serialized_name: Height
            accessor:
                getter: getHeight
                setter: setHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        depth:
            expose: true
            access_type: public_method
            serialized_name: Depth
            accessor:
                getter: getDepth
                setter: setDepth
            type: App\Library\Amazon\Classes\LengthDimensionType
        diameter:
            expose: true
            access_type: public_method
            serialized_name: Diameter
            accessor:
                getter: getDiameter
                setter: setDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        weight:
            expose: true
            access_type: public_method
            serialized_name: Weight
            accessor:
                getter: getWeight
                setter: setWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        spread:
            expose: true
            access_type: public_method
            serialized_name: Spread
            accessor:
                getter: getSpread
                setter: setSpread
            type: App\Library\Amazon\Classes\LengthDimensionType
        sunlightExposure:
            expose: true
            access_type: public_method
            serialized_name: SunlightExposure
            accessor:
                getter: getSunlightExposure
                setter: setSunlightExposure
            type: string
        moistureNeeds:
            expose: true
            access_type: public_method
            serialized_name: MoistureNeeds
            accessor:
                getter: getMoistureNeeds
                setter: setMoistureNeeds
            type: string
        uSDAHardinessZone:
            expose: true
            access_type: public_method
            serialized_name: USDAHardinessZone
            accessor:
                getter: getUSDAHardinessZone
                setter: setUSDAHardinessZone
            type: integer
        sunsetClimateZone:
            expose: true
            access_type: public_method
            serialized_name: SunsetClimateZone
            accessor:
                getter: getSunsetClimateZone
                setter: setSunsetClimateZone
            type: integer
        numberOfSets:
            expose: true
            access_type: public_method
            serialized_name: NumberOfSets
            accessor:
                getter: getNumberOfSets
                setter: setNumberOfSets
            type: integer
